import { ProjectEditorComponent } from './editor/project-editor.component';
import { ProjectListingComponent } from './listing/project-listing.component';
import { RouterModule, Routes } from '@angular/router';

export const ProjectRoutes: Routes = [
  {
    path: '',
    component: ProjectListingComponent,
    data: {
      breadcrumbs: ''
    }
  },
  {
    path: 'edit/:id',
    component: ProjectEditorComponent,
    data: {
      // Interpolates values resolved by the router
      breadcrumbs: '{{ project.text }}'
    },
    /* resolve: {
      project: ProjectResolver
    } */
  },
  {
    path: 'new',
    component: ProjectEditorComponent,
    data: {
      breadcrumbs: 'new'
    }
  },
];

